xivo-confd (2024.05.02+20240516.113401.1557b583) xivo-maia-bookworm-dev; urgency=medium

  * 7564 - fix lib-python branch

 -- XiVO Builder Team <release@xivo.fr>  Thu, 16 May 2024 11:34:01 +0000

xivo-confd (2024.05.02) xivo-maia-bookworm; urgency=medium

  * 7564 Debian 12 and Python 3.11

 -- Chakib Bouchakour <chabouchakour@gmail.com>  Wed, 14 Feb 2024 17:15:24 +0100

xivo-confd (2023.05.01) xivo-kuma; urgency=medium

  * 6523  fix regex to authorize password with length of 4

 -- sbelgacem <sbelgacem@xivo.solutions>  Thu, 27 Apr 2023 18:04:02 +0200

xivo-confd (2023.05.00) xivo-kuma; urgency=medium

  * 6497  fix webi user import

 -- sbelgacem <sbelgacem@xivo.solutions>  Fri, 21 Apr 2023 14:43:01 +0200

xivo-confd (2023.04.00) xivo-kuma; urgency=medium

  * 6738 add securisation for web service users

 -- Guillaume Millet <guillaume.millet@wisper.io>  Wed, 29 Mar 2023 13:36:26 +0100

xivo-confd (2023.03.00) xivo-kuma; urgency=medium

  * 4467 ignore provisioning_code column when importing/updating users

 -- Anaïs Chanclu <achanclu@avencall.com>  Tue, 28 Feb 2023 16:43:26 +0100

xivo-confd (2022.08.00) xivo-jabbah; urgency=medium

  [ Vaclav Vorisek ]
  * 5395 handle_system_conf ignore more configs
  * 5550 fix pep8 and pylint
  * 5461 import of csv no longer converts username to lower case

  [ Benjamin Boidard ]
  * 5382 rollback for listening on localhost

 -- Vaclav Vorisek <vvorisek@avencall.com>  Thu, 21 Jun 2022 11:06:16 +0200

xivo-confd (2022.07.00) xivo-jabbah; urgency=medium

  [Tony Mourier]
  * 5060 added listen on docker network and added docker network ip to request provd too

  * 5924 remove dotenv from requirements

 -- Vaclav Vorisek <vvorisek@avencall.com>  Wed, 25 May 2022 14:06:16 +0200

xivo-confd (2022.06.00) xivo-jabbah; urgency=medium

  * 5198 wizard can bypass network configuration
  * 5233 allow custom scripts to be runned after wizard

 -- Vaclav Vorisek <vvorisek@avencall.com>  Tue, 03 May 2022 16:11:28 +0200

xivo-confd (2022.04.00) xivo-izar; urgency=medium

  * 4606 Debian11

 -- Benoît SCHULER <bschuler@avencall.com>  Tue, 01 Mar 2022 10:45:04 +0100

xivo-confd (2022.03.00) xivo-izar; urgency=medium

  * 4866 Improve integration tests

 -- Benoît SCHULER <bschuler@avencall.com>  Fri, 04 Feb 2022 13:30:20 +0100

xivo-confd (2021.15.03) xivo-helios; urgency=medium

  * 4436 - advanced user search

 -- Vaclav Vorisek <vvorisek@avencall.com>  Thu, 04 Nov 2021 11:25:46 +0100

xivo-confd (2021.13.00) xivo-helios; urgency=medium

  * 4335 SSL issue

 -- Benoît SCHULER <bschuler@avencall.com>  Wed, 18 Aug 2021 10:54:34 +0200

xivo-confd (2021.12.00) xivo-helios; urgency=medium

  * Version Bump 

 -- Vaclav Vorisek <vvorisek@avencall.com>  Mon, 26 Jul 2021 08:58:39 +0200

xivo-confd (2021.11.00) xivo-helios; urgency=medium

  * Version Bump 

 -- Vaclav Vorisek <vvorisek@avencall.com>  Wed, 21 Jul 2021 14:06:38 +0200

xivo-confd (2021.07.01) xivo-gaia; urgency=medium

  * 3970 Generate random xuc password at install

 -- Jean-Pierre Thomasset <jpthomasset@gmail.com>  Thu, 08 Apr 2021 13:11:55 +0000

xivo-confd (2021.07.00) xivo-gaia; urgency=medium

  * 3939 Check password policy for csv import

 -- Tomas Taraba <ttaraba@avencall.com>  Fri, 26 Mar 2021 11:41:29 +0100

xivo-confd (2020.18.00) xivo-freya; urgency=medium

  * 3532 UA - remove UA users from users' listing in group/queue/agent menu
  * 3548 - Add Api to update provd device configuration from database

 -- Tomas Taraba <ttaraba@avencall.com>  Mon, 05 Oct 2020 11:18:24 +0200

xivo-confd (2020.17.00) xivo-freya; urgency=medium

  * 3433 [UA] As a XiVO Admin see the UA lines of each user in the CSV export
  * 3434 [UA] Import/update a UA user's line via CSV

 -- Vojtech Sodoma <vsodoma@avencall.com>  Tue, 22 Sep 2020 09:24:34 +0200

xivo-confd (2020.16.00) xivo-freya; urgency=medium

  [Vojta Sodoma]
  * 3486 CSV update disassociates agents from the updated users

  [Etienne Allovon]
  * 3458 - retrieve confd acl based on webi user permission

 -- Vojtech Sodoma <vsodoma@avencall.com>  Mon, 31 Aug 2020 11:58:52 +0200

xivo-confd (2020.15.00) xivo-freya; urgency=medium

  [ Tomas Taraba ]
  * 3412 Add a user to an existing label (API)
  * 3422 As a XiVO Admin I want to be able to see the labels membership of each user in the CSV export

  [ Vojtech Sodoma ]
  * 3423 Import/update a user with its labels membership

 -- Tomas Taraba <ttaraba@avencall.com>  Mon, 24 Aug 2020 15:09:36 +0200

xivo-confd (2020.14.00) xivo-freya; urgency=medium

  * 3392 update labels API

 -- Rim Jamali <rjamali@xivo.solutions>  Wed, 05 Aug 2020 13:59:36 +0200

xivo-confd (2020.13.00) xivo-freya; urgency=medium

  * Bump version to 2020.13.00
  * 3389 Create labels api

 -- Tomas Taraba <ttaraba@avencall.com>  Wed, 22 Jul 2020 13:10:36 +0200

xivo-confd (2020.12.00) xivo-freya; urgency=medium

  * 3386 Add delete labels api
  * 3389 Create labels api

 -- Tomas Taraba <ttaraba@avencall.com>  Fri, 10 Jul 2020 09:16:36 +0200

xivo-confd (2020.11.00) xivo-freya; urgency=medium

  * 3386 Add list labels api

 -- Tomas Taraba <ttaraba@avencall.com>  Tue, 23 Jun 2020 13:59:50 +0200

xivo-confd (2020.10.00) xivo-freya; urgency=medium

  * 3366 - update python libs for Debian 10

 -- Etienne Allovon <eallovon@avencall.com>  Thu, 11 Jun 2020 15:44:50 +0000

xivo-confd (2020.05.00) xivo-electra; urgency=medium

  * 3172 Import/Update via CSV massively reload asterisk configuration
  * 3175 Enhance CSV update/import by adding a message in confd logs

 -- Vojtech Sodoma <vsodoma@avencall.com>  Fri, 28 Feb 2020 12:22:00 +0100

xivo-confd (2020.04.00) xivo-electra; urgency=medium

  * 3166 Improve CSV user update performance

 -- Vojtech Sodoma <vsodoma@avencall.com>  Mon, 24 Feb 2020 13:34:40 +0100

xivo-confd (2020.02.00) xivo-electra; urgency=medium

  * 2953 Asterisk can keep old configuration on MDS after editation from webi

 -- Vojtech Sodoma <vsodoma@avencall.com>  Fri, 10 Jan 2020 15:31:16 +0100

xivo-confd (2019.13.00) xivo-electra; urgency=medium

  * 2640 Sip peers should reload on MDS when we create user on a mediaserver with APIs
  * 2984 Asterisk should reload on MDS when we create object on a mediaserver with APIs

 -- Vojtech Sodoma <vsodoma@avencall.com>  Fri, 22 Nov 2019 09:24:01 +0100

xivo-confd (2019.12.03) xivo-deneb; urgency=medium

  * Bump version to 2019.12.03
  * Add Agent plugin to create/update/delete/search/get agent

 -- Jean-Pierre Thomasset <jpthomasset@gmail.com>  Mon, 28 Oct 2019 14:26:24 +0000

xivo-confd (2019.12.02) xivo-deneb; urgency=medium

  * 2884 Update webrtc value via CSV Update
  * 2915 Export (to CSV) only values "yes" as "1" for webrtc option

 -- Vojtech Sodoma <vsodoma@avencall.com>  Mon, 07 Oct 2019 15:33:49 +0200

xivo-confd (2019.12.00) xivo-deneb; urgency=medium

  * 2880 Add webrtc toggle for csv import file
  * 2881 - Add webrtc column to users export

 -- Etienne Allovon <eallovon@avencall.com>  Tue, 01 Oct 2019 08:55:55 +0000

xivo-confd (2019.11.00) xivo-deneb; urgency=medium

  * 2821 Remove nginx and xivo-web-interface packages

 -- Vojtech Sodoma <vsodoma@avencall.com>  Wed, 11 Sep 2019 12:10:13 +0200

xivo-confd (2019.04.01) xivo-callisto; urgency=medium

  * Fix for confd integration tests

 -- Etienne Allovon <eallovon@avencall.com>  Fri, 29 Mar 2019 17:55:54 +0100
 
xivo-confd (2019.04.00) xivo-callisto; urgency=medium
  
  * 2371 Fix agent api by porting the following fixes:
  * 2375 Post message on bus when agent created or updated
  * 2352 Create agent destination func key when creating agent 

 -- Jean-Pierre Thomasset <jpthomasset@gmail.com>  Thu, 21 Feb 2019 15:48:22 +0000

xivo-confd (2019.01.00) xivo-callisto; urgency=medium

  * 1819 Import or modify user line site

 -- Tomas Taraba <ttaraba@avencall.com>  Wed, 09 Jan 2019 11:49:44 +0100

xivo-confd (2018.16.04) xivo-borealis; urgency=medium

  [Vojtech Sodoma]
  * 2003 Error code when updating via CSV when system is not in english
    Credits to Sebastien Duthil <sduthil@wazo.community>

  [Jean-Pierre Thomasset]
  * 2229 Update user api (POST, PUT) to create and update user with agent informations
  * 2266 Add agent_group_id in user api

 -- Vojtech Sodoma <vsodoma@avencall.com>  Mon, 17 Dec 2018 15:07:37 +0100

xivo-confd (2018.16.03) xivo-borealis; urgency=medium

  * 2233 Display mds column in users listing page

 -- Tomas Taraba <ttaraba@avencall.com>  Tue, 04 Dec 2018 15:04:44 +0100

xivo-confd (2018.16.02) xivo-borealis; urgency=medium

  * GET users/{id} : add agent_number when present

 -- Etienne Allovon <eallovon@avencall.com>  Thu, 08 Nov 2018 12:00:52 +0100

xivo-confd (2018.16.01) xivo-borealis; urgency=medium

  * 1765 Saving a user with many funckeys is very long

 -- Tomas Taraba <ttaraba@avencall.com>  Wed, 24 Oct 2018 09:43:44 +0200

xivo-confd (2018.10.00) xivo-borealis; urgency=medium

  * 1756 Fix problem with upper cases in sip_username
  * 1946 Can't update cti profile via csv if cti profile hasn't existed before

 -- Tomas Taraba <ttaraba@avencall.com>  Mon, 02 Jul 2018 15:40:19 +0200

xivo-confd (2017.11.06) xivo-dev; urgency=medium

  * 1543 Fix swagger UI for xivo-confd
  * 1551 Update urls in swagger UI

 -- Vojtech Sodoma <vsodoma@avencall.com>  Mon, 20 Nov 2017 17:40:35 +0100

xivo-confd (2017.11.03) xivo-dev; urgency=medium

  * Create user xuc with lastname

 -- Vojtech Sodoma <vsodoma@avencall.com>  Fri, 13 Oct 2017 17:42:06 +0200

xivo-confd (2017.10.00) xivo-dev; urgency=medium

  * Set default values for new user:
    - Ringing time : 20
    - Simultaneous calls : 2

 -- Vojtech Sodoma <vsodoma@avencall.com>  Tue, 05 Sep 2017 11:12:30 +0200

xivo-confd (2017.10.00) xivo-dev; urgency=medium

  * Create user xuc with new installation

 -- Vojtech Sodoma <vsodoma@avencall.com>  Fri, 18 Aug 2017 11:30:29 +0200

xivo-confd (2017.09.00) xivo-dev; urgency=medium

  * Add new integration tests

 -- Vojtech Sodoma <vsodoma@avencall.com>  Tue, 25 Jul 2017 16:25:09 +0200

xivo-confd (2017.06.00) xivo-dev; urgency=medium

  * notify ctid even if live-reload is disabled

 -- Vojtech Sodoma <vsodoma@avencall.com>  Tue, 06 Jun 2017 16:13:26 +0200

xivo-confd (2017.03.02) xivo-2017.03; urgency=medium

  * Check for valid column names in csv header

 -- Tomas Taraba <ttaraba@avencall.com>  Mon, 10 Apr 2017 15:40:57 +0200

xivo-confd (2017.03.02) xivo-2017.03; urgency=medium

  * 744 prevents users to have the same login username on import

 -- Jean-Yves LEBLEU <jylebleu@xivo.solutions>  Fri, 07 Apr 2017 12:07:15 +0200

xivo-confd (16.08.2~20160902.1) xivo-16.08.2; urgency=medium

  * xivo-16.08.1

 -- Etienne Lessard <elessard@proformatique.com>  Fri, 02 Sep 2016 07:58:15 -0400

xivo-confd (14.16~20140826.174122.43b3a6e) xivo-dev; urgency=low

  * rename package restapi to confd

 -- Cedric Abunar <cabunar@avencall.com>  Tue, 02 Sep 2014 10:57:03 -0400

xivo-restapi (13.14~20130711.144933.fde4226-3) squeeze-xivo-skaro-dev; urgency=low

  * remove old cron file dor restapi

 -- Cedric Abunar <cabunar@avencall.com>  Fri, 12 Jul 2013 09:52:20 -0400

xivo-restapi (13.14~20130711.144933.fde4226-2) squeeze-xivo-skaro-dev; urgency=low

  * remove recording-campaigns from rest-api

 -- Cedric Abunar <cabunar@avencall.com>  Fri, 12 Jul 2013 08:43:25 -0400

xivo-restapi (13.04~20130220.155733.2ed00b6-5) squeeze-xivo-skaro-dev; urgency=low

  * add data access logfile to logrotate

 -- Jean AUNIS <jaunis@avencall.com>  Thu, 14 Mar 2013 14:09:40 +0100

xivo-restapi (13.04~20130220.155733.2ed00b6-4) squeeze-xivo-skaro-dev; urgency=low

  * revert init script 

 -- Nicolas HICHER <nhicher@avencall.com>  Sat, 23 Feb 2013 08:53:32 -0500

xivo-restapi (13.04~20130220.155733.2ed00b6-2) squeeze-xivo-skaro-dev; urgency=low

  * fix init script (status on stopped service must return 3)

 -- Nicolas HICHER <nhicher@avencall.com>  Fri, 22 Feb 2013 12:39:03 -0500

xivo-restapi (13.03~20130204.112202.b7f7d37-2ubuntu1) UNRELEASED; urgency=low

  * fix cron.d file 

 -- Jirka HLAVACEK <jhlavacek@avencall.com>  Wed, 13 Feb 2013 09:39:15 +0100

xivo-restapi (13.03~20130204.112202.b7f7d37-2) squeeze-xivo-skaro-dev; urgency=low

  * add default file for xivo

 -- Cedric Abunar <cabunar@avencall.com>  Tue, 05 Feb 2013 10:09:12 -0500

xivo-restapi (13.02~20130131.142145.cc733f8-2) squeeze-xivo-skaro-dev; urgency=low

  * add dependency on xivo-libdao

 -- Etienne Lessard <elessard@avencall.com>  Thu, 31 Jan 2013 09:38:57 -0500

xivo-restapi (13.02~20130130.161117.8a7232b-3) squeeze-xivo-skaro-dev; urgency=low

  * remove installation of rsyslog configuration file

 -- Etienne Lessard <elessard@avencall.com>  Wed, 30 Jan 2013 14:32:18 -0500

xivo-restapi (13.02~20130130.161117.8a7232b-2) squeeze-xivo-skaro-dev; urgency=low

  * fix initscript

 -- Etienne Lessard <elessard@avencall.com>  Wed, 30 Jan 2013 13:46:29 -0500

xivo-restapi (13.02~20130128.162503.9ad8f8e-2) squeeze-xivo-skaro-dev; urgency=low

  * add depends on python-flup 

 -- Nicolas HICHER (atarakt) <nhicher@proformatique.com>  Mon, 28 Jan 2013 12:47:02 -0500

xivo-restapi (13.02~20130128.114517.8175ed1-2) squeeze-xivo-skaro-dev; urgency=low

  * add cron and logrotate files 

 -- Jirka <jhlavacek@avencall.com>  Mon, 28 Jan 2013 16:16:30 +0100

xivo-restapi (13.02~20130125.154646.aee3db8-1) squeeze-xivo-skaro-dev; urgency=low

  * 

 -- Jirka HLAVACEK <jhlavacek@avencall.com>  Fri, 25 Jan 2013 16:55:03 +0100

xivo-restapi (13.02) squeeze-xivo-skaro-dev; urgency=low

  *  initial commit

 -- Jirka HLAVACEK <jhlavacek@avencall.com>  Fri, 25 Jan 2013 16:23:21 +0100
